SUBDIRS = example
INCLUDES = $(all_includes)
METASOURCES = AUTO

lib_LTLIBRARIES = libtdeunittestgui.la
libtdeunittestgui_la_SOURCES = testerwidget.ui runnergui.cpp dcopinterface.skel
libtdeunittestgui_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor -ltdeunittest
libtdeunittestgui_la_LIBADD = -ltdeunittest $(LIB_TDECORE)

runnergui.lo : testerwidget.h

bin_PROGRAMS = tdeunittestguimodrunner
tdeunittestguimodrunner_SOURCES = guimodrunner.cpp
tdeunittestguimodrunner_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor -ltdeunittest
tdeunittestguimodrunner_LDADD = libtdeunittestgui.la $(LIB_TDECORE) $(LIB_TDEIO)

noinst_HEADERS = dcopinterface.h
libtdeunittestinclude_HEADERS = runnergui.h
libtdeunittestincludedir = $(includedir)/tdeunittest

bin_SCRIPTS = tdeunittest tdeunittestmod tdeunittest_debughelper
